Subject: bug#28311: 25.2; Improve syntax highlighting in bat-mode

From: Anders Lindgren <[email-masked]>
Date: Sat, 23 Sep 2017 20:05:35 +0200

>
> > Thanks! In which branch should I add it, master or Emacs-26?
>
> How large is it?  Also, is it supposed to be used outside of the ert
> context?
>

The main source file is about 45 KB, with additional 15KB of test files.

It can be used outside the ERT context, as the markup language is generic.
I can think of many applications for it, like use it as the storage format
for a word-processor like mode, where the user can apply bold, italics etc.

> I guess it should go into lisp/emacs-lisp, as "ert.el" is located there.
>
> Probably.  Actually, why not make it part of ert, say, ert-faces.el?
>

As it can be used outside of ert, I would prefer the current name.

     -- Anders